USING Progress.Lang.*.
USING Print.*.

/** HP 15C printer.
 *@author John Green July 2010
 */
CLASS Print.HP.HP15C INHERITS Print.Printer: 

  /** Document associated with current print error.
   */
  DEF PUBLIC PROPERTY ErrorDocument AS CLASS Print.PrintDocument PUBLIC GET. PRIVATE SET.

  /** Will forward documents to ForwardTo if this unit is offline. */
  DEF PUBLIC VAR ForwardTo AS CLASS Print.Printer NO-UNDO.
  
  /** Find a compatible printer in this unit's print manager. */
  METHOD PUBLIC Print.Printer FindCompatible():
  END METHOD.

END CLASS.
