USING Progress.Lang.*.
USING Print.PrintDocument.

/** Represents a printer on the network.
 *@author John Green August 2009
 */
CLASS Print.Printer   : 

  /** Submit a PrintDocument to this printer.
   * @param printDocument The document to print.
   * @return The print job ID.
   */
  METHOD PUBLIC INT64 addToQueue(printDocument AS CLASS PrintDocument):
    RETURN 0.
  END METHOD.


  /** Remove a job from this printer's queue.
   * @param jobID The print job ID.
   */
  METHOD PUBLIC VOID removeFromQueue(jobID AS INT64):
  END METHOD.


END CLASS.
